#---Build stage---
FROM golang:1.18-alpine3.15 AS builder
COPY ./api /app/src/api
COPY ./utils /app/src/utils
WORKDIR /app/src/api/cmd/app

RUN GOOS=linux GOARCH=amd64 CGO_ENABLED=0 go build -ldflags='-w -s' -o /app/bin/service

#---Final stage---
FROM alpine:3.15
COPY --from=builder /app/bin/service /app/service
COPY --from=builder /app/src/api/configs /app/configs
COPY --from=builder /app/src/api/database /app/database
COPY --from=builder /app/src/api/.env /app/.env
COPY --from=builder /app/src/api/api /app/api

RUN chmod +x /app/database/wait-for-it.sh

WORKDIR /app